net.sourceforge.pmd

## Class Report.SuppressedViolation

- java.lang.Object
- - net.sourceforge.pmd.Report.SuppressedViolation

Enclosing class:
  Report

    public static class Report.SuppressedViolation
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Report.SuppressedViolation(RuleViolation rv, boolean isNOPMD, String userMessage)`

### Method Summary

Methods
`RuleViolation` `getRuleViolation()`
`String` `getUserMessage()`
`boolean` `suppressedByAnnotation()`
`boolean` `suppressedByNOPMD()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Report.SuppressedViolation

    public Report.SuppressedViolation(RuleViolation rv,
                              boolean isNOPMD,
                              String userMessage)

### Method Detail

#### suppressedByNOPMD

    public boolean suppressedByNOPMD()

#### suppressedByAnnotation

    public boolean suppressedByAnnotation()

#### getRuleViolation

    public RuleViolation getRuleViolation()

#### getUserMessage

    public String getUserMessage()